=== debian/changelog ===
rlvm (0.08-1) unstable; urgency=low

  * New upstream release
  * Remove 002_Disable_OpenGL_abort.patch: already in upstream
  * Bump Standards-Version to 3.8.4: nothing need to be changed
  * Remove some changes in 001_Use_system_library.patch: already in upstream

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 06 Mar 2010 08:17:59 +0800

rlvm (0.07-1) unstable; urgency=low

  * Make package to non-native.
  * Use DebSrc3.0 to override debian sub-directory in source tarball.
  * Refine copyright file: Use machine readable format
  * Add 001_Use_system_library.patch: Don't use embedded library when there
    are same library already in Debian sid.
  * Add 002_Disable_OpenGL_abort.patch: Don't abort when OpenGL error. Print
    error messages instead.
  * Add 003_port_to_gtest1.4.0.patch: Port to gtest 1.4.0 which is in sid.
  * Initial release (Closes: #535024)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Dec 2009 17:07:16 +0800

rlvm (0.7) unstable; urgency=low

  * AIR Standard Edition can be completed, along with a few other games.
  * Fix intermittent crashes after loading saved games.
  * Prevernt text boxes from being positioned offscreen.
  * Implement shadows on text.
  * Support KOE voice archives.
  * Support loose ogg vorbis file voice patches.
  * Chinese and Korean rlBabel support compiled in by default. (I can't
    find any patches so this is untested).
  * Large number of small graphical fixes, including faces in text boxes,
    visual appearance of #SELBTNs (such as in Fuuko's route), and various
    shading effects.

 -- Elliot Glaysher <glaysher@umich.edu>  Sun, 15 Nov 2009 14:04:59 -0800

rlvm (0.6.3) unstable; urgency=low

  * Add fullscreen mode.
  * Internal unit testing changes.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 15 Aug 2009 12:14:58 -0700

rlvm (0.6.2) unstable; urgency=low

  * Fixes regression where G00 animations weren't being played (Seen in
    Planetarian.)
  * Fixes regression where Yumemi's face in the final scene in Planetarian
    was being drawn twice because of poor clip rect handling.
  * Support for English patches compiled with debugging symbols stripped.
  * Temporarily disables scrollback due to crash that will be invasive to
    fix.

 -- Elliot Glaysher <glaysher@umich.edu>  Sun, 21 Jun 2009 13:51:58 -0700

rlvm (0.6.1) jaunty; urgency=low

  * rlvm now has basic (beta) support for the Baka-Tsuki CLANNAD English patch
    applied to CLANNAD_FV.
  * Minor bug fixes to normal CLANNAD_FV.

 -- Elliot Glaysher <glaysher@umich.edu>  Fri, 22 May 2009 20:00:45 -0700

rlvm (0.6) unstable; urgency=low

  * CLANNAD_FV is now playable to the end.
  * Supports selection buttons.
  * Supports OVK voice archives.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 18 Apr 2009 20:10:57 -0700

rlvm (0.5) unstable; urgency=low

  * Kanon is now playable with NDT's English teaser patch
  * Fix a large number of graphical glitches including the calendar in
    Kanon blinking in and out and the CGs at the end of routes in CLANNAD
    not always clearing as the end credits are displayed.
  * New Kanon save games will restore the graphical contents of the screen
    properly; old Kanon save files will show a black background.
  * Fix OpenGL 1.4 support; Version 0.4 only worked on OpenGL 2.0 or higher
    graphics cards.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 17 Jan 2009 12:00:03 -0800

rlvm (0.4) unstable; urgency=low

  * CLANNAD is now playable from a clean file to After Story True End. No
    testing has been done on side routes, though they may be playable.
  * All routes in Kanon Standard Edition are playable and have been tested.
  * There's now a partial default interface, allowing basic operations and a
    default save/load interface in games that don't provide their own (such as
    Kanon).
  * NOTE: There is still no support for rlBabel; text in translation
    patches still won't display correctly.

 -- Elliot Glaysher <glaysher@umich.edu>  Tue, 09 Dec 2008 19:55:00 -0800

rlvm (0.3) unstable; urgency=low

  * CLANNAD is playable through the end of Nagisa's route.
  * Replace name variables in text, such as '*A' as 'Tomoya' in CLANNAD.
  * Kanon SE is now playable past "Last Regrets," but the lack of loading
    or saving makes actual playing impracticle.
  * Reduce the memory footprint by keeping the last 100 pages of text in the
    scrollback buffer. Previously, the scrollback buffer was unbounded.
  * Scrolling through previous pages of text no longer crashes Planetarian.
  * Fix performance on the CLANNAD main menu.
  * Fix multiple crashing bugs.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 04 Oct 2008 12:16:29 -0700

rlvm (0.2) unstable; urgency=low

  * Adds background music and sound effect support.
  * Adds custom cursor support.

 -- Elliot Glaysher <glaysher@umich.edu>  Tue, 24 Jul 2008 20:56:03 -0700

rlvm (0.1) unstable; urgency=low

  * Initial Release.
  * Compatible with Planetarian.

 -- Elliot Glaysher <glaysher@umich.edu>  Wed, 16 Apr 2008 20:38:12 -0700
