=== debian/control ===
Source: rlvm
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev, libfreetype6-dev,
               libsdl-image1.2-dev, libsdl-mixer1.2-dev, libgl1-mesa-dev,
               libboost-dev, libglew1.5-dev, scons, libboost-filesystem-dev,
               libboost-serialization-dev, libboost-date-time-dev,
               libboost-iostreams-dev, libboost-program-options-dev,
               libboost-python-dev, libboost-signals-dev, pkg-config,
               libboost-thread-dev, libguichan-dev, quilt, zlib1g-dev,
               libsdl-ttf2.0-dev, liblua5.1-0-dev, libglew1.5-dev,
               libjpeg62-dev, libmad0-dev, libluabind-dev,
               libgtest-dev
Standards-Version: 3.8.4
Homepage: http://www.elliotglaysher.org/rlvm/

Package: rlvm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RealLive virtual machine clone
 rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
 interpreter. RealLive is a game engine used to write visual novels, used in
 the games Kanon, Air, CLANNAD, and Planetarian, among many others.
