=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export RLVM_NO_TEST=1

%:
	dh $@

override_dh_auto_build:
	scons --release

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build/ .sconf_temp/
