=== debian/changelog ===
rlvm (0.09-1) unstable; urgency=low

  * New upstream release
    - Preliminary support for Little Busters! (No support for Ectasy yet.)
    - Fix saving the current graphics state in most games.
    - Hide unavailable options in select() calls.
  * Bump Standards-Version to 3.9.1: nothing need to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Nov 2010 22:46:10 +0800
