=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libsdl-ttf2.0-dev, liblua5.1-0-dev, libglew1.5-dev,
                libjpeg62-dev, libmad0-dev, libluabind-dev,
                libgtest-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.elliotglaysher.org/rlvm/
 
 Package: rlvm
