=== debian/changelog ===
rlvm (0.10-1) unstable; urgency=low

  * New upstream release
    - Tomoyo After Memorial Edition support.
    - Planetarian voice support.
    - Fix multiple errors in the handling of glosses.
    - Multiple crashers/graphics fixes.
  * Remove 003_port_to_gtest1.4.0.patch: Use google-mock now.
  * Add 002_fix_missing_include.patch: Fix missing include of header files.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 06 Feb 2011 16:29:39 +0800
