=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libboost-thread-dev, libguichan-dev, quilt, zlib1g-dev,
                libsdl-ttf2.0-dev, liblua5.1-0-dev, libglew1.5-dev,
                libjpeg62-dev, libmad0-dev, libluabind-dev,
-               libgtest-dev
+               libgtest-dev, google-mock
 Standards-Version: 3.9.1
 Homepage: http://www.elliotglaysher.org/rlvm/
 
@@ -21,4 +21,5 @@
 Description: RealLive virtual machine clone
  rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
  interpreter. RealLive is a game engine used to write visual novels, used in
- the games Kanon, Air, CLANNAD, and Planetarian, among many others.
+ the games Kanon, Air, CLANNAD, Planetarian, Tomoyo After and Little Busters,
+ among many others.
