## rlvm 0.12

=== SConstruct ===
--- 
+++ 
@@ -25,7 +25,6 @@
     "boost_iostreams-mt",
     "boost_filesystem-mt",
     "boost_date_time-mt",
-    "boost_signals-mt",
     "boost_thread-mt",
     "boost_system-mt",
     "z"
@@ -40,12 +39,18 @@
   ],
 
   CPPFLAGS = [
-    "--ansi",
     "-funsigned-char"
   ],
 
   CPPDEFINES = [
     "HAVE_CONFIG_H",
+
+    # boost made a large non-backwards compatible change to their filesystem
+    # library. Specify version 2 explicitly.
+    ["BOOST_FILESYSTEM_VERSION", 2],
+
+    # We use gettext for translations.
+    "ENABLE_NLS",
 
     # This prevents conflicts between SDL and GLEW. I shouldn't have to do
     # this, but the SDL_opengl.h and glew.h differ in const correctness...
@@ -207,6 +212,7 @@
   print "Boost version >= 1.40 needed to compile rlvm!"
   Exit(1)
 
+VerifyLibrary(config, 'pthread', 'pthread.h')
 VerifyLibrary(config, 'ogg', 'ogg/ogg.h')
 VerifyLibrary(config, 'vorbis', 'vorbis/codec.h')
 VerifyLibrary(config, 'vorbisfile', 'vorbis/vorbisfile.h')
@@ -240,11 +246,12 @@
     'function' : ''
   },
   {
-    'include'  : 'SDL/SDL_image.h',
-    'library'  : 'SDL_image',
-    'function' : ''
+      'include'  : 'SDL/SDL_image.h',
+      'library'  : 'SDL_image',
+      'function' : ''
   }
 ]
+
 for library_dict in local_sdl_libraries:
   CheckForSystemLibrary(config, library_dict, subcomponents)
 
@@ -264,7 +271,7 @@
 ### we have the right libraries. This needs to be done after config.Finish() is
 ### called or else we get a really confusing error.
 if env['PLATFORM'] == 'darwin':
-  env.Append(LIBS=["SDL"])
+  env.Append(LIBS=["SDL", "intl", "iconv"])
 
 # Get the configuration from sdl and freetype
 env.ParseConfig("sdl-config --cflags")
@@ -330,10 +337,24 @@
     ]
   )
 
+# Cross platform core of rlvm. Produces librlvm.a and libsystem_sdl.a
 env.SConscript("SConscript",
                variant_dir="$BUILD_DIR/",
                duplicate=0,
                exports='env')
+
+# Run the correct port script. If we're on darwin, we'll run the cocoa version,
+# everywhere else we assume GTK+.
+if env['PLATFORM'] == 'darwin':
+  env.SConscript("SConscript.cocoa",
+                 variant_dir="$BUILD_DIR/",
+                 duplicate=0,
+                 exports='env')
+else:
+  env.SConscript("SConscript.gtk",
+                 variant_dir="$BUILD_DIR/",
+                 duplicate=0,
+                 exports='env')
 
 # Copy the platform independent SEEN.TXT files to output (we no longer depend
 # on rldev because I can no longer reliably compile it).
@@ -353,14 +374,14 @@
                duplicate=0,
                exports='env')
 
-if GetOption("fullstatic") and env['PLATFORM'] == 'darwin':
-  env.SConscript("SConscript.cocoa",
-                 variant_dir="$BUILD_DIR/",
-                 duplicate=0,
-                 exports='env')
-
 if GetOption("coverage"):
   env.SConscript("SConscript.coverage",
                  variant_dir="$BUILD_DIR/",
                  duplicate=0,
                  exports='env')
+
+# In addition to all that, we also want to build the translation files.
+env.Command("build/locale/ja/LC_MESSAGES/rlvm.mo",
+            "po/ja.po",
+            ["mkdir -p build/locale/ja/LC_MESSAGES/",
+             "msgfmt -o build/locale/ja/LC_MESSAGES/rlvm.mo po/ja.po"])
