=== debian/changelog ===
rlvm (0.12-4ubuntu1) saucy; urgency=low

  * Drop obsolete -mt suffixes from boost libraries.
  * Add missing include in TextPage.hpp

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 27 Aug 2013 15:19:29 +0100

rlvm (0.12-4build1) quantal; urgency=low

  * Rebuild for libglew1.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 21:03:31 +0100

rlvm (0.12-4) unstable; urgency=low

  * Add proper Build-Depends (Closes: #672944)
    - Add libogg-dev, libvorbis-dev, libpng-dev
  * Update debian/copyright to latest v1.0 format
    - Remove comma in Files field
  * Bump Standards-Version to 3.9.3: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 May 2012 03:44:49 +0800

rlvm (0.12-3) unstable; urgency=low

  * Remove libjpeg62-dev from Build-Depends (Closes: #634286)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 21 Jul 2011 13:11:58 +0800

rlvm (0.12-2) unstable; urgency=low

  * Use libjpeg-dev in Build-Depends. (Closes: #634286)
  * Build gtest/gmock as system don't provide shared libraries now.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 20 Jul 2011 14:11:39 +0800

rlvm (0.12-1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * New upstream release
  
  [ Elliot Glaysher <glaysher@umich.edu> ]
  * New GTK+ interface with desktop integration and UI refinements
  * Partial Japanese localizations
  * Fix graphics corruption in in-game dialogs when a dialog is brought
    up, and then fullscreen mode activated
  * Smooth the output of text in rlBabel using games
  * Don't play voice samples while fast forwarding

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 19 May 2011 00:28:44 +0800

rlvm (0.11-2) unstable; urgency=low

  * debian/patches/002_port_to_boost_146.patch: Fix FTBFS (Closes: #624910)
  * Bump Standards-Version to 3.9.2: nothing need to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 03 May 2011 03:21:03 +0800

rlvm (0.11-1) unstable; urgency=low

  * New upstream release
    - Fixed FTBFS with gcc-4.5 (Closes: #565072)

  [ Ying-Chun Liu (PaulLiu) ]
  * Remove debian/patches/002_fix_missing_include.patch: upstream included
  * Update debain/copyright to dep-5 rev 173

  [ Elliot Glaysher <glaysher@umich.edu> ]
  * Fix graphical defects in Clannad
  * Implement voice replay buttons in scrollback
  * Implement the "Return to Previous Selection" feature
  * Several efficiency fixes.
  * Fix the location of the name window in most games.
  * Fix graphical defects in Clannad

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Mar 2011 16:06:56 +0800
