=== debian/control ===
Source: rlvm
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               google-mock,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libboost-serialization-dev,
               libboost-signals-dev,
               libboost-thread-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglew1.5-dev,
               libgtest-dev,
               libgtk2.0-dev,
               libguichan-dev,
               libjpeg-dev,
               liblua5.1-0-dev,
               libluabind-dev,
               libmad0-dev,
               libogg-dev,
               libpng-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               pkg-config,
               scons,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.elliotglaysher.org/rlvm/

Package: rlvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RealLive virtual machine clone
 rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
 interpreter. RealLive is a game engine used to write visual novels, used in
 the games Kanon, Air, CLANNAD, Planetarian, Tomoyo After and Little Busters,
 among many others.
