## rlvm 0.13

=== SConstruct ===
--- 
+++ 
@@ -12,6 +12,8 @@
 AddOption('--coverage', action='store_true',
           help='Builds the unit tests for running through gcov, runs them, '
           'runs gcov, and then generates an html report with lcov.')
+AddOption('--pprof', action='store_true',
+          help='Build with Google\'s performance tools.')
 AddOption('--fullstatic', action='store_true',
           help='Builds a static binary, linking in all libraries.')
 
@@ -20,13 +22,13 @@
   tools = ["default", "rlvm"],
 
   LIBS = [
-    "boost_program_options-mt",
-    "boost_serialization-mt",
-    "boost_iostreams-mt",
-    "boost_filesystem-mt",
-    "boost_date_time-mt",
-    "boost_thread-mt",
-    "boost_system-mt",
+    "boost_program_options",
+    "boost_serialization",
+    "boost_iostreams",
+    "boost_filesystem",
+    "boost_date_time",
+    "boost_thread",
+    "boost_system",
     "z"
   ],
 
@@ -44,10 +46,6 @@
 
   CPPDEFINES = [
     "HAVE_CONFIG_H",
-
-    # boost made a large non-backwards compatible change to their filesystem
-    # library. Specify version 2 explicitly.
-    ["BOOST_FILESYSTEM_VERSION", 2],
 
     # We use gettext for translations.
     "ENABLE_NLS",
@@ -328,6 +326,19 @@
 
     LIBS = [ "gcov" ]
   )
+elif GetOption('pprof'):
+  env["BUILD_DIR"] = "#/build/pprof"
+  env['BUILD_TYPE'] = "Release"
+
+  env.Append(
+    CPPFLAGS = [
+      "-O0",
+      "-g",
+    ],
+
+    LIBS = [ "tcmalloc",
+             "profiler"]
+  )
 else:
   # Add debugging flags to all binaries here
   env.Append(
