=== debian/changelog ===
rlvm (0.13-1build1) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:10:36 +0000

rlvm (0.13-1) unstable; urgency=low

  * New upstream release
    - rlvm will now warn on startup when it detects Japanese save data, but
      English patched game files, and offer to reset the save data.
    - Much better support for Little Busters. Most graphical glitches during
      the Little Busters Refrain have been fixed.
    - TCC tone curve effects have been reverse-engineered and implemented
      (thanks to lurkmoar)
    - Sepia scenes (and other graphical filters) should look much better.
    - Simple shake commands implemented (fancy per-layer shaking still
      unimplemented).
    - Make animations smooth: data should be uploaded to the graphics card
      before an animation loop starts, not while the animation loop is
      running.
    - Fixes finding system fonts on Linux
    - Thanks to Elliot Glaysher <glaysher@umich.edu>
  * Remove upstreamed patches:
    - debian/patches/002_675426ad62bccf1de10b0ae31dd46331ec47aacb.patch
    - debian/patches/003_5dafabf5448635c4d4526d6e35ea7ec664a27261.patch
    - debian/patches/004_boost-drop-mt.patch
    - debian/patches/005_missing-include.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 02 Nov 2013 02:57:13 +0800

rlvm (0.12-5) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Drop obsolete -mt suffixes from boost libraries.
  * Add missing include in TextPage.hpp

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Rebuild for libglew1.8.
  
  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Merge Ubuntu's changes.
    - Import 2 patches from the upstream git tree.
      - 002_675426ad62bccf1de10b0ae31dd46331ec47aacb.patch
      - 003_5dafabf5448635c4d4526d6e35ea7ec664a27261.patch
  * Fix the FTBFS (Closes: #725558)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed
  * Bump debhelper compat version from 7 to 9.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 10 Oct 2013 03:09:54 +0800
