## rlvm 0.13.1

=== SConstruct ===
--- 
+++ 
@@ -113,11 +113,19 @@
       CPPPATH = ["/opt/local/include/"],
       LIBPATH = ["/opt/local/lib/"]
     )
+  # Manually installed / homebrew
   if os.path.exists("/usr/local/"):
     env['ENV']['PATH'] += ":/usr/local/bin/"
     env.Append(
       CPPPATH = ["/usr/local/include/"],
       LIBPATH = ["/usr/local/lib/"]
+    )
+  if os.path.exists('/usr/local/opt/gettext/'):
+    # Homebrew does this bogus thing where installing the gettext bottle doesn't
+    # actually symlink the headers and libraries into /usr/local/.
+    env.Append(
+      CPPPATH = ["/usr/local/opt/gettext/include/"],
+      LIBPATH = ["/usr/local/opt/gettext/lib/"]
     )
 
 #########################################################################
@@ -388,11 +396,3 @@
 if GetOption("coverage"):
   env.SConscript("SConscript.coverage",
                  variant_dir="$BUILD_DIR/",
-                 duplicate=0,
-                 exports='env')
-
-# In addition to all that, we also want to build the translation files.
-env.Command("build/locale/ja/LC_MESSAGES/rlvm.mo",
-            "po/ja.po",
-            ["mkdir -p build/locale/ja/LC_MESSAGES/",
-             "msgfmt -o build/locale/ja/LC_MESSAGES/rlvm.mo po/ja.po"])
