=== debian/changelog ===
rlvm (0.13.1-1) unstable; urgency=low

  [ Elliot Glaysher <glaysher@umich.edu> ]
  * New upstream release
    - Fix crash on the Clannad loading screen on certain OpenGL drivers.
    - Fix order of font loading to prefer working fonts on Linux.

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * Update rlvm.6 from /debian.upstream

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Mar 2014 20:55:36 +0800
