=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rlvm
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9),
                google-mock,
                libboost-date-time-dev,
@@ -34,12 +33,13 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 3.9.4
-Homepage: http://www.elliotglaysher.org/rlvm/
+Standards-Version: 3.9.5
+Homepage: http://www.elliotglaysher.org/rlvm
 
 Package: rlvm
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ttf-japanese-gothic, ${misc:Depends}, ${shlibs:Depends}
+Suggests: ttf-dejavu-core
 Description: RealLive virtual machine clone
  rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
  interpreter. RealLive is a game engine used to write visual novels, used in
