## rlvm 0.14

=== SConstruct ===
--- 
+++ 
@@ -21,16 +21,7 @@
 env = Environment(
   tools = ["default", "rlvm"],
 
-  LIBS = [
-    "boost_program_options",
-    "boost_serialization",
-    "boost_iostreams",
-    "boost_filesystem",
-    "boost_date_time",
-    "boost_thread",
-    "boost_system",
-    "z"
-  ],
+  LIBS = ["z"],
 
   LOCAL_LIBS = [],
 
@@ -71,6 +62,27 @@
   # Whether we build the test binary that requires lua.
   BUILD_LUA_TESTS = False,
 )
+
+if env['PLATFORM'] == "darwin":
+  env.Append(
+    LIBS = [
+      "boost_program_options-mt",
+      "boost_serialization-mt",
+      "boost_iostreams-mt",
+      "boost_filesystem-mt",
+      "boost_date_time-mt",
+      "boost_thread-mt",
+      "boost_system-mt"])
+else:
+  env.Append(
+    LIBS = [
+      "boost_program_options",
+      "boost_serialization",
+      "boost_iostreams",
+      "boost_filesystem",
+      "boost_date_time",
+      "boost_thread",
+      "boost_system"])
 
 if GetOption("fullstatic"):
   env["FULL_STATIC_BUILD"] = True
@@ -385,14 +397,3 @@
 # Build the rlvmTests binary that uses those SEEN.TXT files.
 env.SConscript("SConscript.test",
                variant_dir="$BUILD_DIR/",
-               duplicate=0,
-               exports='env')
-
-env.SConscript("SConscript.luarlvm",
-               variant_dir="$BUILD_DIR/",
-               duplicate=0,
-               exports='env')
-
-if GetOption("coverage"):
-  env.SConscript("SConscript.coverage",
-                 variant_dir="$BUILD_DIR/",
