=== debian/changelog ===
rlvm (0.14-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs on boost1.83. (Closes: #1056017)
  * Use libboost-timer-dev instead of libboost-date-time-dev.

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 25 Dec 2023 20:40:29 +0800

rlvm (0.14-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libglew1.5-dev with libglew-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Oct 2021 21:16:33 +0200

rlvm (0.14-5) unstable; urgency=low

  [ Giovanni Mascellani <gio@debian.org> ]
  * Remove dependency on package libboost-signals-dev, which does not exist
    any more.
  * Fix compilation adding a missing header.

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Merge Giovanni's patch for fixing FTBFS with Boost 1.71 (Closes: #954649)
    - Thanks to Giovanni Mascellani

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 09 Jun 2020 01:18:33 +0800

rlvm (0.14-4) unstable; urgency=low

  * Add 004_port_to_python3.patch: porting to python3 (Closes: #947579)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 02 Feb 2020 00:59:32 +0800

rlvm (0.14-3) unstable; urgency=low

  * Use pkg-config instead of freetype-config (Closes: #892454)
    - Add 003_use_pkg-config_for_freetype2.patch
    - Use local debian/freetype-config which will call pkg-config instead
  - Bump Standards-Version to 4.2.1: nothing needs to be changed.
  - Bump debhelper compat to 10
  - Fix lintian warnings on debian/copyright

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 24 Oct 2018 05:21:20 +0800

rlvm (0.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Logan Rosen ]
  * debian/patches/include-iostream.patch: Grab patch from upstream to include
    iostream header and fix FTBFS (Closes: #831207).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Aug 2016 18:24:56 +0200

rlvm (0.14-2) unstable; urgency=low

  * Fix old ttf-japanese-gothic dependencies. (Closes: #805343)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 18 Nov 2015 14:45:07 +0800

rlvm (0.14-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Oct 2014 03:24:19 +0800
