=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: games
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                google-mock,
-               libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-python-dev,
                libboost-serialization-dev,
-               libboost-signals-dev,
                libboost-thread-dev,
+               libboost-timer-dev,
                libfreetype6-dev,
                libgl1-mesa-dev,
-               libglew1.5-dev,
+               libglew-dev,
                libgtest-dev,
                libgtk2.0-dev,
                libguichan-dev,
@@ -33,12 +32,14 @@
                pkg-config,
                scons,
                zlib1g-dev
-Standards-Version: 3.9.5
-Homepage: http://www.elliotglaysher.org/rlvm
+Standards-Version: 4.2.1
+Homepage: http://rlvm.net
 
 Package: rlvm
 Architecture: any
-Depends: ttf-japanese-gothic, ${misc:Depends}, ${shlibs:Depends}
+Depends: fonts-vlgothic | fonts-japanese-gothic,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: ttf-dejavu-core
 Description: RealLive virtual machine clone
  rlvm is a Free Software reimplementation of VisualArt's KK's RealLive
