=== debian/watch ===
version=3
http://eglaysher.github.com/rlvm/ \
 http://github.com/eglaysher/rlvm/tarball/release-([.\d]*)
